#include <QStandardItemModel>
#include <QFile>

class AddressModel : public QStandardItemModel
{
public:
    AddressModel(QObject *parent=0) : QStandardItemModel(0,1,parent)
    {
        initModel();
    }

    ~AddressModel() {}

    void initModel()
    {
        foreach( QString address, addresses() ) {
            index(rowCount(), 0 ,QModelIndex() );
            QStringList addressLines = address.split(",");

            QStandardItem *item = new QStandardItem;
            insertRow(rowCount(),item);

            item->setData(address, Qt::DisplayRole);
            addressLines.removeFirst();
        }
    }

    QStringList addresses() {
        QFile file("addresses.txt");
        if( file.open(QFile::ReadOnly) )
            return QString(file.readAll()).split(QChar('\n'));
        return QStringList();
    }
};
